## org.eclipse.emf.ecore.change.impl
Class ResourceChangeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.change.impl.ResourceChangeImpl

All Implemented Interfaces:
  Notifier, ResourceChange, EObject, InternalEObject

    public class ResourceChangeImpl

extends EObjectImpl
implements ResourceChange

An implementation of the model object 'Resource Change'.

The following features are implemented:

- `Resource URI`
- `Resource`
- `Value`
- `List Changes`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<ListChange>` `listChanges` The cached value of the '`List Changes`' containment reference list
`protected EList<java.lang.Object>` `newValue`
`protected Resource` `resource` The cached value of the '`Resource`' attribute
`protected static Resource` `RESOURCE_EDEFAULT` The default value of the '`Resource`' attribute
`protected static java.lang.String` `RESOURCE_URI_EDEFAULT` The default value of the '`Resource URI`' attribute
`protected java.lang.String` `resourceURI` The cached value of the '`Resource URI`' attribute
`protected EList<java.lang.Object>` `valueField`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ResourceChangeImpl()`
`protected` `ResourceChangeImpl(Resource resource, EList<java.lang.Object> value)`

Method Summary
`void` `apply()`
`protected void` `apply(boolean reverse)`
`protected void` `apply(EList<java.lang.Object> toList)`
`void` `applyAndReverse()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EList<ListChange>` `getListChanges()`
`Resource` `getResource()`
`java.lang.String` `getResourceURI()`
`EList<java.lang.Object>` `getValue()`
`void` `preApply(boolean reverse)`
`void` `setResource(Resource newResource)` Sets the value of the '`Resource`' attribute
`void` `setResourceGen(Resource newResource)`
`void` `setResourceURI(java.lang.String newResourceURI)`
`protected void` `setValue(EList<java.lang.Object> value)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### RESOURCE_URI_EDEFAULT

    protected static final java.lang.String RESOURCE_URI_EDEFAULT

  The default value of the '`Resource URI`' attribute.

  See Also:
    `getResourceURI()`

### resourceURI

    protected java.lang.String resourceURI

  The cached value of the '`Resource URI`' attribute.

  See Also:
    `getResourceURI()`

### RESOURCE_EDEFAULT

    protected static final Resource RESOURCE_EDEFAULT

  The default value of the '`Resource`' attribute.

  See Also:
    `getResource()`

### resource

    protected Resource resource

  The cached value of the '`Resource`' attribute.

  See Also:
    `getResource()`

### listChanges

    protected EList<ListChange> listChanges

  The cached value of the '`List Changes`' containment reference list.

  See Also:
    `getListChanges()`

### valueField

    protected EList<java.lang.Object> valueField

### newValue

    protected EList<java.lang.Object> newValue

Constructor Detail

### ResourceChangeImpl

    protected ResourceChangeImpl()

### ResourceChangeImpl

    protected ResourceChangeImpl(Resource resource,
                                 EList<java.lang.Object> value)

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getResourceURI

    public java.lang.String getResourceURI()

  Specified by:
    `getResourceURI` in interface `ResourceChange`
  Returns:
    the value of the 'Resource URI' attribute.
  See Also:
    `ResourceChange.setResourceURI(String)`, `ChangePackage.getResourceChange_ResourceURI()`

### setResourceURI

    public void setResourceURI(java.lang.String newResourceURI)

  Specified by:
    `setResourceURI` in interface `ResourceChange`
  Parameters:
    `newResourceURI` - the new value of the 'Resource URI' attribute.
  See Also:
    `ResourceChange.getResourceURI()`

### getResource

    public Resource getResource()

  Specified by:
    `getResource` in interface `ResourceChange`
  Returns:
    the value of the 'Resource' attribute.
  See Also:
    `ResourceChange.setResource(Resource)`, `ChangePackage.getResourceChange_Resource()`

### setResourceGen

    public void setResourceGen(Resource newResource)

### setResource

    public void setResource(Resource newResource)

  Description copied from interface: `ResourceChange`
  Sets the value of the '`Resource`' attribute.

  Specified by:
    `setResource` in interface `ResourceChange`
  Parameters:
    `newResource` - the new value of the 'Resource' attribute.
  See Also:
    `ResourceChange.getResource()`

### getValue

    public EList<java.lang.Object> getValue()

  Specified by:
    `getValue` in interface `ResourceChange`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `ChangePackage.getResourceChange_Value()`

### setValue

    protected void setValue(EList<java.lang.Object> value)

### getListChanges

    public EList<ListChange> getListChanges()

  Specified by:
    `getListChanges` in interface `ResourceChange`
  Returns:
    the value of the 'List Changes' containment reference list.
  See Also:
    `ChangePackage.getResourceChange_ListChanges()`

### preApply

    public void preApply(boolean reverse)

### apply

    public void apply()

  Specified by:
    `apply` in interface `ResourceChange`

### applyAndReverse

    public void applyAndReverse()

  Specified by:
    `applyAndReverse` in interface `ResourceChange`

### apply

    protected void apply(boolean reverse)

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### apply

    protected void apply(EList<java.lang.Object> toList)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.